Apple Silicon è pronta per Programming languages?

ApplicazioneOttimizzato per Apple siliconRosetta 2Versione supportata per M1Contribute
Kotlin ⚠️ 1.5.30-M1-EAP
Dart SDK2.14.0.beta
Julia language ⚠️ 1.7.0-beta3
OCaml4.12.0
Haskell 🚫 8.10.5
RStudio ⚠️ 1.4.1717
R4.1.0 "Camp Pontanezen"
Golang1.16
Python3.9.1+
Rust1.49 (Tier 2)
PHP-
Deno1.6.0+
Rustup1.23.0+

✅ Totalmente compatibile con Apple Silicon (M1)
🚫 Non funziona
⚠️ Supporto iniziale o Beta con i problemi/crash segnalati